Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request POST \ --url https://api.example.com/api/share/chat/task/create \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "title": "<string>", "description": "<string>", "agent_id": 123, "files": [ "<string>" ], "llm_ids": [ "<string>" ], "memory_similarity_threshold": 1.5, "agent_type": "standard", "agent_config": {}, "is_preview": false, "is_visible": true, "execution_mode": "<string>", "process_description": "<string>", "examples": [ { "input": "<string>", "output": "<string>" } ] } '
{ "task_id": 123, "title": "<string>", "status": "<string>", "created_at": "<string>", "model_id": "<string>", "small_fast_model_id": "<string>", "visual_model_id": "<string>", "compact_model_id": "<string>", "model_name": "<string>", "small_fast_model_name": "<string>", "visual_model_name": "<string>", "compact_model_name": "<string>", "execution_mode": "<string>", "channel_id": 123, "channel_name": "<string>", "agent_id": 123, "agent_name": "<string>", "agent_logo_url": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Create task request
Show child attributes
Successful Response
Create task response